.chats {
  background-color: white;
  height: fit-content;
  margin-top : calc(15vh - 48px);
  margin-left: auto;
  margin-right: auto;
  overflow-y: hidden;
  overflow-x: hidden;
  border-radius: .5rem;
  max-width: rem(500px);
  &__register-container {
    display: flex !important;
    align-items: center;
    flex-direction: column;
    justify-content: center;
  }
  &__header {
    height: rem(48px);
    width: 100%;
    background: white;
  }
  &__container {
    height:fit-content;
  }
  &__tags {
    height: fit-content;
    text-align: center;
    font-weight: bold;
    font-size: .75rem;
  }
  &__messages {
    height: calc(70vh - 48px);
    overflow-y: auto;
    padding-left: rem(10px);
    padding-right: rem(10px);
  }
  &__new-message {
    height: rem(60px);
    max-width: rem(500px);
    margin-top: rem(0px);
    bottom:0px;
    &-input {
      height: 40px;
      font-size: .85rem;
    }
  }
  &__button {
    background-color: transparent;
    height: 100%;
    padding: 0;
  }
  &__icon {
    height: rem(40px);
    width: rem(40px);
    fill: $dark;
  }
  &__close-container {
    width: 100%;
    background: none;
    border: none;
    height: 100%;
    margin-top: auto;
    margin-left: auto;
    margin-right: auto;
    overflow-y: auto;
    overflow-x: hidden;
    display: block;
    &:focus {
      outline: unset;
    }
  }
}
